			/*********************************************************************
  			作者:魏玉虎 weiyh@hainan.net
  			日期:2007-01-04
  			功能:读取永久性ID,地区性ID,用户名,用户ID,key值,sys_grad值的cookie信息
			************************************************************************/

        /*
        函数名getCookie
        功能:根据cookie的名字读取cookie
        返回:如果指定名字的cookie存在则返回该cookie,否则返回null
        */
				function getCookie(name){
    				var dc = document.cookie;
    				var prefix = name + "=";
    				var begin = dc.indexOf("; " + prefix);
    				if (begin == -1){
        			begin = dc.indexOf(prefix);
        			if (begin != 0) return null;
    				}else{
        			begin += 2;
    				}
    				
   					var end = document.cookie.indexOf(";", begin);
    				if (end == -1){
        			end = dc.length;
    				}
    				return unescape(dc.substring(begin + prefix.length, end));
			}
			
			 /*
        函数名getUniqueId
        功能:读取永久性id
        返回:如果永久性id存在就返回永久性id,否则返回null
        */
			function getUniqueId(){
				var base = getCookie("base");
				
				if(base==null)
					return null;
				else{
					var temp = base.split('&')[1];				
					var uqid = temp.substring(temp.indexOf('=')+1,temp.length);
				
					return uqid;
			  }
			}
			
			 /*
        函数名getRegionId
        功能:读取地区性id
        返回:如果地区性id存在就返回读取地区性id,否则返回null
        */
			function getRegionId(){
				var base = getCookie("base");
				
				if(base==null)
					return null;
				else{
					var temp = base.split('&')[0];
					var dtid = temp.substring(temp.indexOf('=')+1,temp.length);
				
					return dtid;
				}
			}
			
			 /*
        函数名getUserName
        功能:读取用户名
        返回:如果用户名存在就返回用户名,否则返回null
        */
			function getUserName(){
				var user = getCookie("user");
				
				if(user==null)
					return null;
				else{
					var temp = user.split('&')[0];
					var userName = temp.substring(temp.indexOf('=')+1,temp.length);
					
					return userName;
				}
			}
			
			 /*
        函数名getUserId
        功能:读取用户ID
        返回:如果用户ID存在就返回用户ID,否则返回null
        */
			function getUserId(){
				var user = getCookie("user");	
				
				if(user==null)
					return null;
				else{
					var temp = user.split('&')[1];
					var userId = temp.substring(temp.indexOf('=')+1,temp.length);
					
					return userId;
				}
			}
			
			/*
        函数名getKey
        功能:读取用户key值
        返回:如果用户key值存在就返回key值,否则返回null
        */
			function getKey(){
				var temp = getCookie("temp");	
				
				if(temp==null)
					return null;
				else{
					var temp1 = temp.split('&')[0];
					var key = temp1.substring(temp1.indexOf('=')+1,temp1.length);
				
					return key;
				}
			}
			
			/*
        函数名getSysGrad
        功能:读取sys_grad
        返回:如果sys_grad值存在就返回sys_grad值,否则返回null
        */
			function getSysGrad(){
				var temp = getCookie("temp");	
				
				if(temp==null)
					return null;
				else{
					var temp1 = temp.split('&')[1];
					var SysGrad = temp1.substring(temp1.indexOf('=')+1,temp1.length);
					
					return SysGrad;
				}
			}
//获取temp中的时间
//返回1000000000的原因:有的地方没进行null判断,故返回这个值
function getCookieTempTime()
{
	var temp = getCookie("temp");	
	if(temp==null)
	{
		return 1000000000;
	}
	else
	{
		var temp1 = temp.split('&')[2];
		var cookieTime = temp1.substring(temp1.indexOf('=')+1,temp1.length);
		return cookieTime;
	}
}

/*
函数名getCookieCheckKey
功能:读取b
返回:如果b值存在就返回b值,否则返回null
*/
function getCookieCheckKey()
{
	var temp = getCookie("temp");	

	if(temp==null)
	{
		return null;
	}
	else
	{
		var temp1 = temp.split('&')[3];
		var b = temp1.substring(temp1.indexOf('=')+1,temp1.length);
		return b;
	}
}

//获取temp中ct,客户端时间
function getCookieCstmTime()
{
	var temp = getCookie("temp");	
	if(temp==null)
	{
		return 1000000000;
	}
	else
	{
		var temp1 = temp.split('&')[4];
		var cookieTime = temp1.substring(temp1.indexOf('=')+1,temp1.length);
		return cookieTime;
	}
}
//判断是否在线
function isOnline()
{
	this._isOnline = true;
	this._cookieTempTime = getCookieTempTime();
	if(this._cookieTempTime == 1000000000)
	{
		this._isOnline = false ;
	}
	return this._isOnline;
}
var IsLoadReadCookieFile=true;